﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Data.OleDb;
using System.Data.SqlClient;
using System.Data.SqlTypes;

namespace RiskSpectrumManager
{
    public partial class Form1 : Form
    {
        float  contract_size;
        float max_daily_loss, max_risk_trade, atr_daily, N1, N2, N3, N4, N5, stop,capital, dollar_pip;
        double N1Lots, N1Pips, N2Lots, N2Pips, N3Lots, N3Pips, N4Lots, N4Pips,N5Lots,N5Pips;
        
        String connString = "Provider=Microsoft.ACE.OLEDB.12.0;Data Source=" + Application.StartupPath + "\\riskprofile.accdb";

        
        
        public Form1()
        {
            InitializeComponent();
        }

        private void label24_Click(object sender, EventArgs e)
        {

        }

       

        private void Form1_Load(object sender, EventArgs e)
        {

            riskprofileDataSetTableAdapters.ProfileTableAdapter adapter = new RiskSpectrumManager.riskprofileDataSetTableAdapters.ProfileTableAdapter();
            textBox1.Text = adapter.GetEquity();
            textBox2.Text = adapter.GetContract();
            textBox5.Text = adapter.GetMaxRisk();
            textBox3.Text = adapter.GetMaxDailyRisk();

        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
            this.Dispose();
        }

        private void toolStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {

        }


        private void toolStripButton1_Click_1(object sender, EventArgs e)
        {
            int id = 1;
            try
            {
                init1();
            }
            catch (Exception ex) { 
                MessageBox.Show(ex.Message);
                
            }

            String SQL = "INSERT INTO [Profile](ID, [Account Equity], [Contract size],[Max Risk Trade],[Max Daily Risk])" +
    "VALUES ('" + id + "','" + capital + "','" + contract_size + "','" + max_risk_trade + "','" + max_daily_loss+ "')";

            String SQL2 = "DELETE FROM [Profile] WHERE ID = 1";

            using (OleDbConnection aConnection = new OleDbConnection(connString))
            {
                OleDbCommand aCommand = new OleDbCommand(SQL, aConnection);
                OleDbCommand aCommand2 = new OleDbCommand(SQL2, aConnection);
                try
                {
                    aConnection.Open();
                    aCommand2.ExecuteNonQuery();
                    aCommand.ExecuteNonQuery();
                    
                    aConnection.Close();
                    MessageBox.Show("Profile Saved!");
                    
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                   
                }

            }
        }


        public void init()
        {
                capital = float.Parse(textBox1.Text);
                contract_size = float.Parse(textBox2.Text);
                atr_daily = float.Parse(textBox4.Text);
                max_risk_trade = float.Parse(textBox5.Text);
                max_daily_loss = float.Parse(textBox3.Text);
           

        }

        public void init1()
        {
            capital = float.Parse(textBox1.Text);
            contract_size = float.Parse(textBox2.Text);
            //atr_daily = float.Parse(textBox4.Text);
            max_risk_trade = float.Parse(textBox5.Text);
            max_daily_loss = float.Parse(textBox3.Text);
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            try
            {


                init();
               
               

                //operations
                stop = (max_risk_trade * capital) / 100;
                textBox6.Text = stop.ToString();

                N1 = atr_daily / 100;
                N2 = atr_daily / 200;
                N3 = atr_daily / 300;
                N4 = atr_daily / 400;
                N5 = atr_daily / 500;

                dollar_pip = contract_size / 10000;

                N1Lots = Math.Round((stop / (N1 * contract_size)));
                N1Pips = Math.Round(stop / (N1Lots * dollar_pip));

                N2Lots = Math.Round((stop / (N2 * contract_size)));
                N2Pips = Math.Round(stop / (N2Lots * dollar_pip));

                N3Lots = Math.Round((stop / (N3 * contract_size)));
                N3Pips = Math.Round(stop / (N3Lots * dollar_pip));

                N4Lots = Math.Round((stop / (N4 * contract_size)));
                N4Pips = Math.Round(stop / (N4Lots * dollar_pip));

                N5Lots = Math.Round((stop / (N5 * contract_size)));
                N5Pips = Math.Round(stop / (N5Lots * dollar_pip));


                //level1
                label10.Text = N1Lots.ToString();
                label11.Text = N1Pips.ToString();
                //level 2
                label13.Text = N2Lots.ToString();
                label18.Text = N2Pips.ToString();
                //level 3
                label19.Text = N3Lots.ToString();
                label20.Text = N3Pips.ToString();
                //level 4
                label21.Text = N4Lots.ToString();
                label22.Text = N4Pips.ToString();
                //level 5
                label23.Text = N5Lots.ToString();
                label24.Text = N5Pips.ToString();

            }
            catch (Exception ex)
            {

                MessageBox.Show("Invalid Input!");
            }

        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            this.Close();
            this.Dispose();
        }

        private void addCommas(object sender, EventArgs e)
        {
           
          




            
        }
    }
}
